## ros-foxy-image-proc 2.3.0

=== debian/changelog ===
ros-foxy-image-proc (2.3.0-1focal) focal; urgency=high

  * Add conversion from YUV422-YUY2
  * Remove unnecessary find_package
    tracetools_image_pipeline included in package.xml and
    fetched by ament_auto_find_build_dependencies().
  * Deal with uncrustify and cpplint
  * LTTng instrument image_proc::RectifyNode and image_proc::ResizeNode
  * bring over ros1 fix for missing roi resize
  * Add maintainer (#667 <https://github.com/ros-perception/image_pipeline/issues/667>)
  * Fix build with later versions of OpenCV 3
    This first regressed in 2b17a38a5e3d4aef9c6a51c2de10d7396c521648.
    Support for OpenCV 3.2 was re-added in
    2e0c6d42cb650534e4aeea586482030e5c0d46c8. This fixes the build with
    OpenCV 3.3 and newer.
  * Refactor image_proc and stereo_image_proc launch files (#583 <https://github.com/ros-perception/image_pipeline/issues/583>)
    * Allow passing container name to image_proc launch file
    If a container name is provided, then load the image_proc nodes
    into that container. Otherwise, launch a container to load the nodes into.
    * Include the image_proc launch file in the stereo_image_proc launch file
    This resolves a TODO, making the launch file have similar behavior as the version from ROS 1.
    Also expose a new launch argument for optionally providing a container (similar to image_proc's launch file).
    * Minor refactor to stereo_image_proc launch file
    * Fix lint errors
    Removing vestigial imports.
    * Rename namespace launch arguments
    * Make image_proc nodes optional
    Default to launching the image_proc nodes.
    * Remap topics from stereo nodes based on namespace arguments
  * Contributors: Evan Flynn, Jacob Perron, Scott K Logan, Tillmann Falck, Víctor Mayoral Vilches

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 04 Dec 2022 08:00:00 -0000

ros-foxy-image-proc (2.2.1-1focal) focal; urgency=high

  * make crop_decimate work (#593 <https://github.com/ros-perception/image_pipeline/issues/593>)
  * remove email blasts from steve macenski (#596 <https://github.com/ros-perception/image_pipeline/issues/596>)
  * Disable "Publish Color!" debug_info (#577 <https://github.com/ros-perception/image_pipeline/issues/577>)
  * [Foxy] Use ament_auto Macros (#573 <https://github.com/ros-perception/image_pipeline/issues/573>)
  * Contributors: Dereck Wonnacott, Joshua Whitley, Michael Ferguson, Steve Macenski

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 27 Aug 2020 07:00:00 -0000

ros-foxy-image-proc (2.2.0-1focal) focal; urgency=high

  * Replacing deprecated header includes with new HPP versions. (#566 <https://github.com/ros-perception/image_pipeline/issues/566>)
  * Opencv 3 compatibility (#564 <https://github.com/ros-perception/image_pipeline/issues/564>)
    * Remove GTK from image_view.
    * Reinstate OpenCV 3 compatibility.
  * Fix bad quotes in image_proc launch file (#563 <https://github.com/ros-perception/image_pipeline/issues/563>)
    This fixes a flake8 error.
  * Contributors: Chris Lalancette, Jacob Perron, Joshua Whitley
  * Initial ROS2 commit.
  * Contributors: Michael Carroll

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 27 Jul 2020 07:00:00 -0000

ros-foxy-image-proc (1.12.23-1focal) focal; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 10 May 2018 07:00:00 -0000

ros-foxy-image-proc (1.12.22-1focal) focal; urgency=high

  * Merge pull request #311 <https://github.com/ros-perception/image_pipeline/issues/311> from knorth55/revert-299
    Revert "Fix image_resize nodelet (#299 <https://github.com/ros-perception/image_pipeline/issues/299>)"
    This reverts commit 32e19697ebce47101b063c6a02b95dfa2c5dbc52.
  * Contributors: Shingo Kitagawa, Tully Foote

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 08 Dec 2017 08:00:00 -0000

ros-foxy-image-proc (1.12.21-1focal) focal; urgency=high

  * Fix image_resize nodelet (#299 <https://github.com/ros-perception/image_pipeline/issues/299>)
    Update interpolation types
    Add arguments to enable disable each nodelet
    Add default arguments for image_resize and image_rect
    Use toCVShare instead of toCVCopy
    Include image_resize in image_proc
  * Updated fix for traits change. (#303 <https://github.com/ros-perception/image_pipeline/issues/303>)
  * Fix C++11 compilation
    This fixes #292 <https://github.com/ros-perception/image_pipeline/issues/292> and #291 <https://github.com/ros-perception/image_pipeline/issues/291>
  * [image_proc][crop_decimate] support changing target image frame_id (#276 <https://github.com/ros-perception/image_pipeline/issues/276>)
  * Contributors: Furushchev, Mike Purvis, Vincent Rabaud, bikramak

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 05 Nov 2017 07:00:00 -0000

ros-foxy-image-proc (1.12.20-1focal) focal; urgency=high

  * Add nodelet to resize image and camera_info (#273 <https://github.com/ros-perception/image_pipeline/issues/273>)
    * Add nodelet to resize image and camera_info
    * Depends on nodelet_topic_tools
    * Use recursive_mutex for mutex guard for dynamic reconfiguring
  * Fix nodelet name: crop_nonZero ->  crop_non_zero (#269 <https://github.com/ros-perception/image_pipeline/issues/269>)
    Fix https://github.com/ros-perception/image_pipeline/issues/217
  * Fix permission of executable files unexpectedly (#260 <https://github.com/ros-perception/image_pipeline/issues/260>)
  * address gcc6 build error
    With gcc6, compiling fails with stdlib.h: No such file or directory,
    as including '-isystem /usr/include' breaks with gcc6, cf.,
    https://gcc.gnu.org/bugzilla/show_bug.cgi?id=70129.
    This commit addresses this issue for this package in the same way
    it was addressed in various other ROS packages. A list of related
    commits and pull requests is at:
    https://github.com/ros/rosdistro/issues/12783
    Signed-off-by: Lukas Bulwahn <mailto:lukas.bulwahn@oss.bmw-carit.de>
  * Contributors: Kentaro Wada, Lukas Bulwahn


