=== debian/control ===
Source: ros-foxy-image-proc
Section: misc
Priority: optional
Maintainer: Vincent Rabaud <vincent.rabaud@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-foxy-ament-cmake-auto, ros-foxy-ament-lint-auto <!nocheck>, ros-foxy-ament-lint-common <!nocheck>, ros-foxy-cv-bridge, ros-foxy-image-geometry, ros-foxy-image-transport, ros-foxy-rclcpp, ros-foxy-rclcpp-components, ros-foxy-rcutils, ros-foxy-sensor-msgs, ros-foxy-tracetools-image-pipeline, ros-foxy-ros-workspace
Homepage: https://index.ros.org/p/image_proc/github-ros-perception-image_pipeline/
Standards-Version: 3.9.2

Package: ros-foxy-image-proc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-cv-bridge, ros-foxy-image-geometry, ros-foxy-image-transport, ros-foxy-rclcpp, ros-foxy-rclcpp-components, ros-foxy-rcutils, ros-foxy-sensor-msgs, ros-foxy-tracetools-image-pipeline, ros-foxy-ros-workspace
Description: Single image rectification and color processing.
